GROWFS(8)

NAME
growfs - grow size of an existing ffs file system

SYNOPSIS
growfs [-Nqy] [-s size] special

DESCRIPTION
The growfs utility extends the newfs(8) program. Before starting growfs, the partition must be set to a larger size using disklabel(8). The growfs utility extends the size of the file system on the specified special file.

Currently growfs can only enlarge unmounted file systems. Do not try enlarging a mounted file system - your system may panic and you will not be able to use the file system any longer. Most of the newfs(8) options cannot be changed by growfs. In fact, you can only increase the size of the file system. Use tunefs(8) for other changes.

The following options are available:

-N  Test mode. Causes the new file system parameters to be printed out without actually enlarging the file system.

-q  Operate in quiet mode. With this option, growfs will not print extraneous information like superblock backups.

-s size
    Determines the size of the file system after enlarging in sectors. This value defaults to the size of the raw partition specified in special (in other words, growfs will enlarge the file system to the size of the entire partition).

-y  Expert mode. Usually growfs will ask you if you have taken a backup of your data and will test whether special is currently mounted. The -y flag suppresses this, so use this option with great care!

SEE ALSO
disklabel(8), dumpfs(8), fdisk(8), fsck(8), newfs(8), tunefs(8)

HISTORY
The growfs utility first appeared in FreeBSD 4.4.

AUTHORS
Christoph Herrmann <chm@FreeBSD.org> Thomas-Henning von Kamptz <tomsoft@FreeBSD.org> The GROWFS team <growfs@Tomsoft.COM>

BUGS
Filesystems must be checked with fsck(8) after enlarging.